Class CircularAboutAxisMoveBuilder
Inheritance
System.Object
System.MarshalByRefObject
CircularAboutAxisMoveBuilder
Implements
System.Runtime.Remoting.Messaging.IMessageSink
Inherited Members
System.MarshalByRefObject.CreateObjRef(System.Type)
System.MarshalByRefObject.GetLifetimeService()
System.MarshalByRefObject.InitializeLifetimeService()
System.MarshalByRefObject.MemberwiseClone(System.Boolean)
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
Assembly: NXOpen.dll
Syntax
public class CircularAboutAxisMoveBuilder : MoveBuilder, IMessageSink, IComponentBuilder
Constructors
CircularAboutAxisMoveBuilder()
Declaration
protected CircularAboutAxisMoveBuilder()
Properties
ArcAxis
Declaration
[Obsolete("Deprecated in NX12.0.1. Use NXOpen.CAM.ReferenceVector instead.")]
public Direction ArcAxis { get; set; }
Property Value
ArcAxisType
Declaration
public CircularAboutAxisMoveBuilder.AxisType ArcAxisType { get; set; }
Property Value
ArcAxisVectorBuilder
Declaration
public ReferenceVector ArcAxisVectorBuilder { get; }
Property Value
ArcExtendMethod
Declaration
public CircularAboutAxisMoveBuilder.ExtensionType ArcExtendMethod { get; set; }
Property Value
CenterPoint
Declaration
[Obsolete("Deprecated in NX12.0.1. Use NXOpen.CAM.ReferencePoint instead.")]
public Point CenterPoint { get; set; }
Property Value
CenterPointBuilder
Declaration
public ReferencePoint CenterPointBuilder { get; }
Property Value
EndPoint
Declaration
[Obsolete("Deprecated in NX12.0.1. Use NXOpen.CAM.ReferencePoint instead.")]
public Point EndPoint { get; set; }
Property Value
EndPointBuilder
Declaration
public ReferencePoint EndPointBuilder { get; }
Property Value
ExtendAngle
Declaration
[Obsolete("Deprecated in NX12.0.1. Use NXOpen.CAM.ExpressionDouble instead.")]
public double ExtendAngle { get; set; }
Property Value
Type |
Description |
System.Double |
|
ExtendAngleBuilder
Declaration
public ExpressionDouble ExtendAngleBuilder { get; }
Property Value
ExtendDistance
Declaration
[Obsolete("Deprecated in NX12.0.1. Use NXOpen.CAM.ExpressionDouble instead.")]
public double ExtendDistance { get; set; }
Property Value
Type |
Description |
System.Double |
|
ExtendDistanceBuilder
Declaration
public ExpressionDouble ExtendDistanceBuilder { get; }
Property Value
MotionEndType
Declaration
public CircularAboutAxisMoveBuilder.EndType MotionEndType { get; set; }
Property Value
SweepAngle
Declaration
[Obsolete("Deprecated in NX12.0.1. Use NXOpen.CAM.ExpressionDouble instead.")]
public double SweepAngle { get; set; }
Property Value
Type |
Description |
System.Double |
|
SweepAngleBuilder
Declaration
public ExpressionDouble SweepAngleBuilder { get; }
Property Value
Implements
System.Runtime.Remoting.Messaging.IMessageSink